Skip to main content
GET
/
discounts
/
coupons
/
v1
/
{id}
Get a coupon
curl --request GET \
  --url https://api.spacebring.com/discounts/coupons/v1/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "coupon": {
    "amountOff": 123,
    "archiveDate": "2023-11-07T05:31:56Z",
    "createDate": "2023-11-07T05:31:56Z",
    "currencyCode": "<string>",
    "deleteDate": "2023-11-07T05:31:56Z",
    "duration": "forever",
    "durationInMonths": 123,
    "enabledForCredits": true,
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "limitedItems": {
      "enabled": true,
      "values": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "title": "<string>"
        }
      ]
    },
    "limitedRedemption": {
      "enabled": true,
      "usage": 123,
      "value": 123
    },
    "locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "networkRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "percentOff": 123,
    "type": "creditPackages"
  }
}

Authorizations

Authorization
string
header
required

See our authentication documentation for how to authorize your requests

Headers

spacebring-network-id
string<uuid>

The id of the network. Required when using bearer token authentication

Path Parameters

id
string<uuid>
required

The id of the coupon

Response

OK

coupon
object